> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Address

> Update an existing address.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml patch /api/address/update
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/address/update:
    patch:
      tags:
        - Addresses
      summary: Update Address
      description: Update an existing address.
      operationId: updateAddress
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                    uuid:
                      type: string
                      description: The UUID of the customer.
                      example: 60dac128-28da-41ae-8632-aee299de13fd
                    address_id:
                      type: integer
                      description: The ID of the address to update.
                      example: 1
                    recipient:
                      type: string
                      description: Name associated with the address.
                      example: John Doe
                      nullable: true
                    line_one:
                      type: string
                      description: Address line 1.
                      example: 123 Main St
                      nullable: true
                    line_two:
                      type: string
                      description: Address line 2.
                      example: Apt 4B
                      nullable: true
                    line_three:
                      type: string
                      description: Address line 3.
                      example: architecto
                      nullable: true
                    city:
                      type: string
                      description: City.
                      example: Atlanta
                      nullable: true
                    state:
                      type: string
                      description: State (2 characters).
                      example: GA
                      nullable: true
                    zip:
                      type: string
                      description: Zip code.
                      example: '30301'
                      nullable: true
                  required:
                    - sid
                    - uuid
                    - address_id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    address_id: 1
                    recipient: null
                    line_one: ''
                    line_two: null
                    line_three: null
                    city: ''
                    state: ''
                    zip: ''
                properties:
                  data:
                    type: object
                    properties:
                      address_id:
                        type: integer
                        example: 1
                      recipient:
                        type: string
                        example: null
                        description: Name associated with the address.
                      line_one:
                        type: string
                        example: ''
                        description: Address line 1.
                      line_two:
                        type: string
                        example: null
                        description: Address line 2.
                      line_three:
                        type: string
                        example: null
                        description: Address line 3.
                      city:
                        type: string
                        example: ''
                        description: City.
                      state:
                        type: string
                        example: ''
                        description: State (2 characters).
                      zip:
                        type: string
                        example: ''
                        description: Zip
        '400':
          description: Update Failed
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Failed to update address
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Failed to update address
        '401':
          description: Unauthorized Access
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission Denied.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission Denied.
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Merchant Not Found
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                  - description: Customer Not Found
                    type: object
                    example:
                      data:
                        message: No such Customer
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Customer
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````